DWR2-DWR3 Startup issue

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

DWR2-DWR3 Startup issue

Fordemo Only
CONTENTS DELETED
The author has deleted this message.
Reply | Threaded
Open this post in threaded view
|

Re: DWR2-DWR3 Startup issue

david@butterdev.com
You should only see this if you are attempting to use DWR 2.x with a DWR 3.x schema.  I suggest examining your classpath and making sure you have a 3.0 version of DWR and that you don't have a 2.x version of DWR.

On 03/24/2014 03:29 PM, Fordemo Only wrote:
Hello
With a dwr.xml labeled below and the lastest 3.0RC2 download and a complete rebuild, I am getting the following upon servlet startup
0    [main] FATAL org.directwebremoting.servlet.DwrServlet  fatal - DwrServlet.init() failed

org.xml.sax.SAXException: Failed to resolve: arg0=-//GetAhead Limited//DTD Direct Web Remoting 3.0//EN arg1=http://directwebremoting.org/schema/dwr30.dtd

    at org.directwebremoting.impl.DTDEntityResolver.resolveEntity(DTDEntityResolver.java:59)

the doctype header is:
<!DOCTYPE dwr PUBLIC
    "-//GetAhead Limited//DTD Direct Web Remoting 3.0//EN"
    "http://directwebremoting.org/schema/dwr30.dtd">
Struts 1.3.1
When it is changed to 2.0 everything works correctly.  I appear to be unable to get past go. 

Reply | Threaded
Open this post in threaded view
|

Re: DWR2-DWR3 Startup issue

david@butterdev.com
I just checked and you have a 2.x version of DWR on your classpath.  Line 59 is empty in the 3.x branch, but throws the error you mention in the 2.x branch.

On 03/24/2014 05:35 PM, David Marginian wrote:
You should only see this if you are attempting to use DWR 2.x with a DWR 3.x schema.  I suggest examining your classpath and making sure you have a 3.0 version of DWR and that you don't have a 2.x version of DWR.

On 03/24/2014 03:29 PM, Fordemo Only wrote:
Hello
With a dwr.xml labeled below and the lastest 3.0RC2 download and a complete rebuild, I am getting the following upon servlet startup
0    [main] FATAL org.directwebremoting.servlet.DwrServlet  fatal - DwrServlet.init() failed

org.xml.sax.SAXException: Failed to resolve: arg0=-//GetAhead Limited//DTD Direct Web Remoting 3.0//EN arg1=http://directwebremoting.org/schema/dwr30.dtd

    at org.directwebremoting.impl.DTDEntityResolver.resolveEntity(DTDEntityResolver.java:59)

the doctype header is:
<!DOCTYPE dwr PUBLIC
    "-//GetAhead Limited//DTD Direct Web Remoting 3.0//EN"
    "http://directwebremoting.org/schema/dwr30.dtd">
Struts 1.3.1
When it is changed to 2.0 everything works correctly.  I appear to be unable to get past go. 


Reply | Threaded
Open this post in threaded view
|

Re: DWR2-DWR3 Startup issue

Fordemo Only
CONTENTS DELETED
The author has deleted this message.
Reply | Threaded
Open this post in threaded view
|

Re: DWR2-DWR3 Startup issue

david@butterdev.com
http://dwr.2114559.n2.nabble.com/failed-to-add-struts-creator-error-when-upgrading-from-DWR-v2-to-v3-tc7182483.html#none

https://directwebremoting.atlassian.net/browse/DWR-553

You will need to download trunk from svn and do a build to fix this, as
Bamboo is currently down.


On 2014-03-25 08:46, Fordemo Only wrote:

> Hello
> I better cleaned my environment and now I am getting this stack trace.
>
> 31 [main] ERROR org.directwebremoting.log.startup loadCreate - Failed
> to add creator: type=struts, javascript=pojo00
> java.lang.IllegalArgumentException
>  at
> org.directwebremoting.struts.StrutsCreator.getType(StrutsCreator.java:100)
>  at
> org.directwebremoting.extend.AbstractCreator.getJavascript(AbstractCreator.java:45)
>  at
> org.directwebremoting.impl.DefaultCreatorManager.addCreator(DefaultCreatorManager.java:87)
>  at
> org.directwebremoting.impl.DefaultCreatorManager.addCreator(DefaultCreatorManager.java:78)
>  at
> org.directwebremoting.impl.DwrXmlConfigurator.loadCreate(DwrXmlConfigurator.java:269)
>  at
> org.directwebremoting.impl.DwrXmlConfigurator.loadAllows(DwrXmlConfigurator.java:219)
>  at
> org.directwebremoting.impl.DwrXmlConfigurator.configure(DwrXmlConfigurator.java:165)
>  at
> org.directwebremoting.impl.StartupUtil.configureFromDefaultDwrXml(StartupUtil.java:612)
>  at
> org.directwebremoting.impl.StartupUtil.configureContainerFully(StartupUtil.java:726)
>  at
> org.directwebremoting.servlet.DwrServlet.configureContainer(DwrServlet.java:109)
>  at org.directwebremoting.servlet.DwrServlet.init(DwrServlet.java:68)
>  at
> org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1213)
>
>  On Monday, March 24, 2014 7:47 PM, David Marginian
> <[hidden email]> wrote:
>
> I just checked and you have a 2.x version of DWR on your classpath.
> Line 59 is empty in the 3.x branch, but throws the error you mention
> in the 2.x branch.
>
>  On 03/24/2014 05:35 PM, David Marginian wrote:
>
>>
>
> You should only see this if you are attempting to use DWR 2.x with a
> DWR 3.x schema. I suggest examining your classpath and making sure you
> have a 3.0 version of DWR and that you don't have a 2.x version of
> DWR.
>
>  On 03/24/2014 03:29 PM, Fordemo Only wrote:
>
>> Hello
>>
>> With a dwr.xml labeled below and the lastest 3.0RC2 download and a
>> complete rebuild, I am getting the following upon servlet startup
>> 0 [main] FATAL org.directwebremoting.servlet.DwrServlet fatal -
>> DwrServlet.init() failed
>>
>> org.xml.sax.SAXException: Failed to resolve: arg0=-//GetAhead
>> Limited//DTD Direct Web Remoting 3.0//EN
>> arg1=http://directwebremoting.org/schema/dwr30.dtd [1]
>>
>> at
>>
> org.directwebremoting.impl.DTDEntityResolver.resolveEntity(DTDEntityResolver.java:59)
>>
>> the doctype header is:
>> <!DOCTYPE dwr PUBLIC
>> "-//GetAhead Limited//DTD Direct Web Remoting 3.0//EN"
>> "http://directwebremoting.org/schema/dwr30.dtd" [1]>
>> Struts 1.3.1
>> When it is changed to 2.0 everything works correctly. I appear to
>> be unable to get past go.
>
>
>
> Links:
> ------
> [1] http://directwebremoting.org/schema/dwr30.dtd